#
# spec file for package python-geraldo
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define mod_name geraldo

Name:           python-%{mod_name}
Version:        0.4.17
Release:        2.1
Url:            http://geraldo.sourceforge.net/
Summary:        Geraldo is a reports engine for Python and Django applications
License:        GNU Lesser General Public License (LGPL)
Group:          Development/Languages/Python
Source:         Geraldo-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python-devel
BuildRequires:  python-reportlab
BuildRequires:  python-setuptools
Requires:       python-reportlab
%if 0%{?suse_version}
%py_requires
%if 0%{?suse_version} > 1110
BuildArch:      noarch
%endif
%endif

%description
Geraldo is a Python and Django pluggable application that works with ReportLab to generate complex reports.

%prep
%setup -q -n Geraldo-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%python_sitelib/*
%doc README

%changelog
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Feb  4 2013 alexandre@exatati.com.br
- Update to 0.4.17:
  - Sorry, no changelog atm.
* Fri Aug 24 2012 alexandre@exatati.com.br
- Update to 0.4.16:
  - Sorry, no changelog atm.
* Fri Jun  8 2012 alexandre@exatati.com.br
- Update to 0.4.15:
  - Sorry, no changelog for this release.
* Thu Aug  4 2011 alexandre@exatati.com.br
- Update to 0.4.14.
* Tue Mar 29 2011 alexandre@exatati.com.br
- Update to 0.4.12-stable;
- Regenerate spec file with py2pack;
- Add README and CHANGES files as documentation.
* Thu Sep 23 2010 alexandre@exatati.com.br
- Update to 0.4.10-stable.
* Thu Sep 23 2010 alexandre@exatati.com.br
- Update to 0.4.9-stable.
* Thu Jun 24 2010 alexandre@exatati.com.br
- Update to 0.4.6-stable.
* Thu Jun 17 2010 alexandre@exatati.com.br
- Update to 0.4.5-stable;
- Source as bz2 now.
* Tue Jun  8 2010 alexandre@exatati.com.br
- Update to 0.4.4-stable.
* Fri May  7 2010 alexandre@exatati.com.br
- Update to 0.4.3-stable.
* Sat May  1 2010 alexandre@exatati.com.br
- Update to 0.4.2-stable.
* Wed Apr 28 2010 alexandre@exatati.com.br
- Update to 0.4.1-stable.
* Thu Apr 22 2010 alexandre@exatati.com.br
- Update to 0.4-final;
- Spec file cleaned with spec-cleaner.
* Mon Dec 28 2009 alexandre@exatati.com.br
- Update to 0.3.9-stable.
* Mon Dec 21 2009 alexandre@exatati.com.br
- Update to 0.3.9-beta.
* Thu Nov  5 2009 alexandre@exatati.com.br
- Update to 0.3.7.
* Tue Sep 29 2009 alexandre@exatati.com.br
- Initial package (0.3.6) for openSUSE.
